body {
    background-color: #0093E9;
    background-image: linear-gradient(160deg, #0093E9 0%, #80D0C7 100%);
    background-repeat: no-repeat;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    width: 100%;
    /* height: 100vh; */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    margin: 0;
    overflow: hidden;
}

.container {
    height: auto;
    background: #ffffff9a;
    padding: 5vw;
    border-radius: 20px;
    margin-top: 0px;

    box-shadow: 10px 10px 10px 10px rgba(0, 0, 0, 0.63);

}

h1 {
    font-size: 2.8vw;
    color: #0093E9;
    text-align: center;
    margin-bottom: 20px;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.774);
}

/* #text{
    font-size: 1.5vw;
    color: #0093E9;
    text-align: center;
    margin-bottom: 20px;
    text-shadow:1px 1px  1px rgba(0, 0, 0, 0.774);
} */
form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

input {
    width: 95%;
    padding: 10px;
    margin: 10px 0;
    border-radius: 10px;
    border: 1px solid #0093E9;
    font-size: 1.2vw;
    text-align: center;

}

button {
    width: 100%;
    padding: 10px;
    /* margin: 10px 0; */
    border-radius: 10px;
    border: 1px solid #0093E9;
    font-size: 1.2vw;
    background-color: #0093E9;
    color: white;
    cursor: pointer;
}
.qr-code{
    display: flex;
    /* display:none; */
    width: 100%;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}
.qr-code img{
    width: 50%;
    height: 50%;
    /* border-radius: 10px; */
    border: 4px solid #0093E9;
    padding: 4px;
    box-shadow: 10px 10px 10px 10px rgba(0, 0, 0, 0.356);
}
.error{
    animation: error 200ms infinite;
}
@keyframes error{
    0%{
        
        transform: translate(5px);
    }
    25%{
        background-color: white;
        transform: translate(0px);
    }
    50%{
        background-color: white;
        transform: translate(-5px);
    }
    100%{
        /* background-color: red; */
        transform: translate(0px);
    }
}
@media screen and (max-width: 600px) {
    h1 {
        font-size: 7vw;
    }

    .container {
        padding: 10vw;
    }

    input {
        padding: 5px;
        margin: 5px 0;
        text-align: center;
        font-size: 4vw;
    }

    button {
        padding: 5px;
        font-size: 4vw;
    }
    .qr-code img{
        width: 80%;
        height: 80%;
    }
    
}